import numpy as np

print('---------------------------------')
print('Anlegen von 2 Vektoren')
v1 = np.array([1,2,3], dtype=np.float32)
print('v1= ', v1)
v2 = np.array([4,5,6], dtype=np.float32)
print('v2= ', v2)
print('---------------------------------')
print('Anlegen einer Matrix')
m1 = np.array([[1, 2, 3],
               [4, 5, 6],
               [7, 8, 9]], dtype=np.float32)
print('m1= ', m1)
print('---------------------------------')
print('Matrixmultiplikation')
v3a = np.matmul(v1, m1)
print('v1*m1= ', v3a)
print('---------------------------------')
print('Elementweise Multiplikation')
v3b = np.multiply(v1, m1)
print('v1.*m1= ', v3b)
print('---------------------------------')
print('Matrix transponieren')
m2 = m1.transpose()
print('m1: ', m1)
print('m2: ', m2)
print('---------------------------------')
print('Matrixmultiplikation mit der Transponierten')
v4 = np.matmul(v1, m1.transpose())
print('v1*m1\'= ', v4)
print('---------------------------------')
print('Vektor-/Matrix-Addition')
v5 = v1 + v2
print('v5= ', v5)
print('---------------------------------')
print('Vektor-/Matrix-Addition verschachtelt mit Matrixmultiplikation')
v6 = np.matmul((v1+v2), m2)
print('v6= ', v6)
print('---------------------------------')
print('Multiplikation von 2 Matrizen')
m3 = np.matmul(m1, m2)
print('m1*m2= ', m3)
print('---------------------------------')